| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Member Functions | Protected Attributes | Properties | Private Member Functions

# IG::Neural::NeuralTrainingParameters::ComparerBase Class Reference

Base comparer class (implementation of the IComparer<NeuralTrainingParameters> interface) for conmparing objects of type NeuralTrainingParameters More...

Collaboration diagram for IG::Neural::NeuralTrainingParameters::ComparerBase:
[legend]

List of all members.

## Protected Member Functions
double | OutputNorm (IVector vec)
## Protected Attributes
IVector | _outputScalingLengths
bool | _compareMinError = false
int | _numLastErrors = 1
int | _numBundles = 0
bool | _compareByTrainingRmsError = true
bool | _compareByTrainingMaxError = false
bool | _compareByVerificationRmsError = false
bool | _compareByVerificationMaxError = false
## Properties
IVector | OutputScalingLengths`[get, set]`
| Vector of scaling lengths for calculation of weighted norms.
bool | CompareMinError`[get, set]`
| Whether the min error in convergence table is used for comparison when errors are compared. If false then mean value of last errors is used.
int | NumLastErrors`[get, set]`
| Number of last errors in convergence list for calculataing the mean value of error. The default valeu is 1 which represent the last error in the converhence list.
int | NumBundles`[get, set]`
| Number of bundles where sorting of convergences stars. The default valeu is 0 which represent normal sorting after the training is done.
bool | CompareByTrainingRmsError`[get, set]`
| Whether training RMS errors from convergence tavble are compared.
bool | CompareByTrainingMaxError`[get, set]`
| Whether Maximal absolute training errors from convergence tavble are compared.
bool | CompareByVerificationRmsError`[get, set]`
| Whether verification RMS errors from convergence tavble are compared.
bool | CompareByVerificationMaxError`[get, set]`
| Whether Maximal absolute verification errors from convergence tavble are compared.
## Private Member Functions
int IComparer < NeuralTrainingParameters >. | Compare (NeuralTrainingParameters a, NeuralTrainingParameters b)

## Detailed Description

Base comparer class (implementation of the IComparer<NeuralTrainingParameters> interface) for conmparing objects of type NeuralTrainingParameters

## Member Function Documentation

double IG::Neural::NeuralTrainingParameters::ComparerBase::OutputNorm | ( | IVector | vec | ) | `[inline, protected]`

int IComparer<NeuralTrainingParameters>. IG::Neural::NeuralTrainingParameters::ComparerBase::Compare | ( | NeuralTrainingParameters | a,
|  | NeuralTrainingParameters | b
| ) |  | `[inline, private]`

## Member Data Documentation

IVector IG::Neural::NeuralTrainingParameters::ComparerBase::_outputScalingLengths`[protected]`

bool IG::Neural::NeuralTrainingParameters::ComparerBase::_compareMinError = false`[protected]`

int IG::Neural::NeuralTrainingParameters::ComparerBase::_numLastErrors = 1`[protected]`

int IG::Neural::NeuralTrainingParameters::ComparerBase::_numBundles = 0`[protected]`

bool IG::Neural::NeuralTrainingParameters::ComparerBase::_compareByTrainingRmsError = true`[protected]`

bool IG::Neural::NeuralTrainingParameters::ComparerBase::_compareByTrainingMaxError = false`[protected]`

bool IG::Neural::NeuralTrainingParameters::ComparerBase::_compareByVerificationRmsError = false`[protected]`

bool IG::Neural::NeuralTrainingParameters::ComparerBase::_compareByVerificationMaxError = false`[protected]`

## Property Documentation

IVector IG::Neural::NeuralTrainingParameters::ComparerBase::OutputScalingLengths`[get, set]`

Vector of scaling lengths for calculation of weighted norms.

bool IG::Neural::NeuralTrainingParameters::ComparerBase::CompareMinError`[get, set]`

Whether the min error in convergence table is used for comparison when errors are compared. If false then mean value of last errors is used.

int IG::Neural::NeuralTrainingParameters::ComparerBase::NumLastErrors`[get, set]`

Number of last errors in convergence list for calculataing the mean value of error. The default valeu is 1 which represent the last error in the converhence list.

int IG::Neural::NeuralTrainingParameters::ComparerBase::NumBundles`[get, set]`

Number of bundles where sorting of convergences stars. The default valeu is 0 which represent normal sorting after the training is done.

bool IG::Neural::NeuralTrainingParameters::ComparerBase::CompareByTrainingRmsError`[get, set]`

Whether training RMS errors from convergence tavble are compared.

bool IG::Neural::NeuralTrainingParameters::ComparerBase::CompareByTrainingMaxError`[get, set]`

Whether Maximal absolute training errors from convergence tavble are compared.

bool IG::Neural::NeuralTrainingParameters::ComparerBase::CompareByVerificationRmsError`[get, set]`

Whether verification RMS errors from convergence tavble are compared.

bool IG::Neural::NeuralTrainingParameters::ComparerBase::CompareByVerificationMaxError`[get, set]`

Whether Maximal absolute verification errors from convergence tavble are compared.

The documentation for this class was generated from the following file:

- NeuralTrainingParameters.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events